# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'know_kit/version'

Gem::Specification.new do |spec|
  spec.name          = "know_kit"
  spec.version       = KnowKit::VERSION
  spec.authors       = ["Rob Iball"]
  spec.email         = ["rob@k-now.co.uk"]
  spec.summary       = %q{Gem for providing interaction with the K-Now IoT platform}
  spec.description   = %q{Write a longer description. Optional.}
  spec.homepage      = "http://kit.k-now.co.uk"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", '~> 0'
  spec.add_development_dependency 'rails', '5.0.0.beta2'
end
